use crate::stoneage::*;
use maraiah::durandal::image::*;

pub fn draw_map_none<D, I>(d: &D, im: &I)
   where D: DrawArea<NativeImage = I>,
         I: CacheImage
{
   d.clear(Color16::new(0, 0, 0));

   d.image((d.w() / 2 - im.w() / 2, d.h() / 2 - im.h() / 2), im);

   d.rect(Rect{x: 0, y: 0, w: d.w(), h: 18}, CR_DARK_RED);
   d.text((4, 14), CR_RED, "Map Required To Proceed");

   d.rect(Rect{x: 0, y: d.h() - 18, w: d.w(), h: 18}, CR_DARK_RED);
   d.text((4, d.h() - 4), CR_RED, "CAS.qterm//CyberAcme Systems Inc.");
}

// EOF
